%define pypi_name httpx

Name:       python-%{pypi_name}
Version:    0.28.1
Release:    %mkrel 2
Summary:    The next generation HTTP client
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/httpx
Source0:    %{pypi_source}
BuildArch:  noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
HTTPX is a fully featured HTTP client for Python 3, which provides sync and
async APIs, and support for both HTTP/1.1 and HTTP/2.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
HTTPX is a fully featured HTTP client for Python 3, which provides sync and
async APIs, and support for both HTTP/1.1 and HTTP/2.

%pyproject_extras_subpkg -n python3-%{pypi_name} brotli http2 cli socks

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x brotli,http2,cli,socks

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files httpx

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/httpx


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.28.1-2.mga10
+ Revision: 2236996
- Mageia 10 Mass Rebuild

* Tue Feb 25 2025 wally <wally> 0.28.1-1.mga10
+ Revision: 2152304
- new version 0.28.1
- rebuild for python3.13

* Thu Dec 19 2024 papoteur <papoteur> 0.27.2-1.mga10
+ Revision: 2126259
- new version 0.27.2

* Fri Jun 28 2024 papoteur <papoteur> 0.27.0-1.mga10
+ Revision: 2077535
- new version 0.27.0

* Mon Jan 29 2024 papoteur <papoteur> 0.25.2-3.mga10
+ Revision: 2035837
- rebuild for python 3.12

* Sun Dec 10 2023 wally <wally> 0.25.2-2.mga10
+ Revision: 2016881
- provide brotli, http2, cli, and socks extras

* Sun Dec 10 2023 wally <wally> 0.25.2-1.mga10
+ Revision: 2016852
- new version 0.25.2

* Sun Oct 01 2023 papoteur <papoteur> 0.25.0-1.mga10
+ Revision: 1992770
- new 0.25.0
- new 0.25.0
- new 0.24.1

* Tue Sep 20 2022 guillomovitch <guillomovitch> 0.23.0-1.mga9
+ Revision: 1891022
- new version 0.23.0

* Sun Mar 20 2022 guillomovitch <guillomovitch> 0.22.0-1.mga9
+ Revision: 1808842
- new version 0.22.0

* Thu Feb 17 2022 tv <tv> 0.21.1-2.mga9
+ Revision: 1778500
- Rebuild for python-3.10

* Wed Dec 29 2021 guillomovitch <guillomovitch> 0.21.1-1.mga9
+ Revision: 1765335
- new version 0.21.1

* Sun Aug 22 2021 wally <wally> 0.19.0-1.mga9
+ Revision: 1742189
- new version 0.19.0

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.17.1-1.mga9
+ Revision: 1705039
- new version 0.17.1

* Wed Mar 03 2021 guillomovitch <guillomovitch> 0.17.0-1.mga9
+ Revision: 1697522
- new version 0.17.0

* Sun Oct 11 2020 guillomovitch <guillomovitch> 0.16.1-1.mga8
+ Revision: 1633433
- new version 0.16.1

* Sun Sep 27 2020 guillomovitch <guillomovitch> 0.15.4-1.mga8
+ Revision: 1630745
- new version 0.15.4

* Fri Sep 25 2020 guillomovitch <guillomovitch> 0.15.3-1.mga8
+ Revision: 1630006
- new version 0.15.3

* Sat Sep 05 2020 guillomovitch <guillomovitch> 0.14.3-1.mga8
+ Revision: 1622511
- new version 0.14.3

* Sun Jul 12 2020 guillomovitch <guillomovitch> 0.13.3-1.mga8
+ Revision: 1605423
- new version 0.13.3

* Mon Apr 20 2020 tv <tv> 0.12.1-2.mga8
+ Revision: 1570108
- rebuild w/o auto rich deps

* Sun Apr 19 2020 guillomovitch <guillomovitch> 0.12.1-1.mga8
+ Revision: 1569827
- imported package python-httpx

